<?php
require_once ( t3lib_extMgm::extPath('phptemplate') . "plugins/function.adminPanel.php" );
require_once ( t3lib_extMgm::extPath('phptemplate') . "plugins/function.adminPanelNotepad.php" );
require_once ( t3lib_extMgm::extPath('phptemplate') . "plugins/function.editIcon.php" );
class tx_phptemplate_output_AllEditPanels {

	/**
	 * @param       array           hook parameters
	 * @param       object          Reference to parent object (TSFE-obj)
	 * @return      void
	 */
	public function processOutputHook(&$feObj, $ref) {
		if ($GLOBALS["BE_USER"]->user['uid'] > 0) {
				
				// 1. Верхняя панель
			$ref->content = str_replace(
				array("<!--@@@PHPTEMPLATE ADMINPANEL@@@-->", "<!--@@@PHPTEMPLATE ADMINPANEL addedToFooter@@@-->"), 
				array(phptemplate_plugin_adminPanel_printOutput(), phptemplate_plugin_adminPanel_printOutput(1)), 
				$ref->content
			);
			
			
				// 2. Нижняя панель (стави ее второй, т.к. здесь используются кнопки редактирования)
			$ref->content = str_replace(
				"<!--@@@PHPTEMPLATE ADMINPANEL NOTEPAD@@@-->", 
				phptemplate_plugin_adminPanelNotepad_printOutput(), 
				$ref->content
			);
			
	
				// 3. При условии, что это режим редактирования
			if ($GLOBALS['BE_USER']->uc['phptemplate_mode_editing'] == 2) {
			
					// Замена кнопок редактирования
				preg_match_all('/<!--@@@PHPTEMPLATE PANELEDITICON(.+)@@@-->/iUs', $ref->content, $matches);
				for ($i = 0; $i <= count($matches[1]); $i++) {
					preg_match_all('/([a-z]+)\(([^)]+)\)/is', $matches[1][$i], $matches_value);
		
						$tempArg = array();
						foreach ($matches_value[1] as $key => $value) {
							$tempArg[$value] = $matches_value[2][$key];
						}
						$ref->content = str_replace(
							$matches[0][$i], //"@@@PHPTEMPLATE PANELEDITICON@@@", 
							phptemplate_plugin_editIcon_printOutput(
								$tempArg
								/*
								array(
									'tableName' => $matches_value[2][0],
									'recordId' => $matches_value[2][1],
									'title' => $matches_value[2][2],
									'otherArg' => $matches_value[2][3],
									'cssClassAbsolute' => $matches_value[2][4],
								)
								*/
							), 
							$ref->content
						);
					/*
					else {
					$ref->content = str_replace(
							$matches[0][$i], //"@@@PHPTEMPLATE PANELEDITICON@@@", 
							null, 
							$ref->content
						);
					}
					*/
				}

			} // end if
			
			/*
				// Вырезка служебных данных, если это не третий мод
			if ($GLOBALS['BE_USER']->uc['phptemplate_mode_editing'] != 3) {
				$pattern = '#@@@ PHPTEMPLATE OBJECT_INFO_REMOVE IF NOT 3 MODE START @@@(.*?)@@@ PHPTEMPLATE OBJECT_INFO_REMOVE IF NOT 3 MODE END @@@#s';	
				$ref->content = preg_replace($pattern, '', $ref->content);
			} else {
				$ref->content = str_replace(
					array('@@@ PHPTEMPLATE OBJECT_INFO_REMOVE IF NOT 3 MODE START @@@', '@@@ PHPTEMPLATE OBJECT_INFO_REMOVE IF NOT 3 MODE END @@@'), 
					array('', ''), 
					$ref->content
				);
			}
			*/

		}
	}

}
?>