<?php  
/**
   * Clear bufer
   *
   * @param array $params: "currentUrl", "reasonText" and "pageAccessFailureReasons"
   * @param object $tsfeObj: object type "tslib_fe"
   */
class tx_phptemplate_hooks_user_pageErrorHandlerWithClearBufer { 
    function pageNotFound(&$params, &$pObj) { 
		//-- Call Hook (очень понадобилось для расширения tx_spiderindexing на исключение страницы из индекса) -- //
		if (is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['tx_phptemplate_pageErrorHandlerAndExceptionWebHook'])) {
			foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['tx_phptemplate_pageErrorHandlerAndExceptionWebHook'] as $_funcRef) {
				t3lib_div::callUserFunction($_funcRef, $params, $pObj);
			}
		}
		//-- Clear bufer -- //
		while (ob_get_level()>0) {
			@ob_end_clean();
		}
		//-- Reset default configuration -- //
		$GLOBALS['TYPO3_CONF_VARS']['FE']['pageNotFound_handling'] = $GLOBALS['TYPO3_CONF_VARS']['FE']['pageNotFound_handling_original'];
		//-- Send error page -- //
		$pObj->pageErrorHandler(
			$GLOBALS['TYPO3_CONF_VARS']['FE']['pageNotFound_handling'],
			$GLOBALS['TYPO3_CONF_VARS']['FE']['pageNotFound_handling_statheader'],
			$params['reasonText'] // 'Hi!'
		);
	}
    function pageUnavailable(&$params, &$pObj) { 
		//-- Call Hook (очень понадобилось для расширения tx_spiderindexing на исключение страницы из индекса) -- //
		if (is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['tx_phptemplate_pageErrorHandlerAndExceptionWebHook'])) {
			foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['GLOBAL']['tx_phptemplate_pageErrorHandlerAndExceptionWebHook'] as $_funcRef) {
				t3lib_div::callUserFunction($_funcRef, $params, $pObj);
			}
		}
		//-- Clear bufer -- //
		while (ob_get_level()>0) {
			@ob_end_clean();
		}
		//-- Reset default configuration -- //
		$GLOBALS['TYPO3_CONF_VARS']['FE']['pageUnavailable_handling'] = $GLOBALS['TYPO3_CONF_VARS']['FE']['pageUnavailable_handling_original'];
		//-- Send error page -- //
		$pObj->pageErrorHandler(
			$GLOBALS['TYPO3_CONF_VARS']['FE']['pageUnavailable_handling'],
			$GLOBALS['TYPO3_CONF_VARS']['FE']['pageUnavailable_handling_statheader'],
			$params['reasonText'] // 'Hi!'
		);
	}
}
?>