<?php
/*
	panelTop
	@addedToFooter (если панель добавляется снизу)
*/
require_once ( t3lib_extMgm::extPath('phptemplate') . "plugins/func.php" );
require_once ( t3lib_extMgm::extPath('phptemplate') . "pi1/pageTypeColor.php" );
function phptemplate_plugin_adminPanel($self, $addedToFooter = 0) {
	if ($GLOBALS['BE_USER']->user['uid'] > 0) {
		if ($addedToFooter == 1) {
			return "<!--@@@PHPTEMPLATE ADMINPANEL addedToFooter@@@-->";
		} else {
			return "<!--@@@PHPTEMPLATE ADMINPANEL@@@-->";
		}
	}
}

function phptemplate_plugin_adminPanel_printOutput($addedToFooter = 0) {

		// CSS color editIcon
	if ($GLOBALS['BE_USER']->uc['phptemplate_editIcon_color'] <= 1) {
		$cssStyledColor = 1; // black
	} else {
		$cssStyledColor = 2; // white
	}

	$strAdminPanel = "";
	$strAdminPanel .= "<!--TYPO3_NOT_SEARCH_begin-->";
	$strAdminPanel .= "<link rel='stylesheet' type='text/css' href='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/adminPanel.css' media='all'>";
	$strAdminPanel .= "<link rel='stylesheet' type='text/css' href='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/editIconColor-{$cssStyledColor}.css' media='all'>";
	$strAdminPanel .= "<tagAdminPanelWrap id='tagAdminPanelWrap'>";
	$strAdminPanel .= "<tagAdminPanelContainer class='phptemplate_tagAdminPanelContainer'></tagAdminPanelContainer>";
	$strAdminPanel .= "<tagAdminPanel class='".(($addedToFooter == 1) ? 'phptemplate_tagAdminPanel_addedToFooter' : 'phptemplate_tagAdminPanel')."'>";
	
			// TYPO3 Logo
		$strAdminPanel .= "<tagAdminPanel_leftContainer class='phptemplate_leftContainer'>";
		$strAdminPanel .= "<img src='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3/gfx/typo3logo_mini.png' width='80'>";
		$strAdminPanel .= "</tagAdminPanel_leftContainer>";
		
			// Button
		$strAdminPanel .= "<tagAdminPanel_rightContainer class='phptemplate_rightContainer'>";
		$strAdminPanel .= "";

				// Run event
			phptemplate_plugin_adminPanel_event();
		
				// Exit
			$strAdminPanel .= "
				<tagAdminPanel_buttonContainer class='tagAdminPanel_buttonContainer' id='tagAdminPanel_buttonContainer_Logout'>
				<form method=\"post\" id=\"phptemplate_plugin_adminPanel_printOutput_buttonLogout\" style='padding: 0 !important; margin: 0 !important;'>
					<input type='hidden' name='phptemplate_be_user_logout' value='1'>
					<input type='hidden' name='phptemplate_request_url' value='".t3lib_div::getIndpEnv('TYPO3_REQUEST_URL')."'>
										
					<a onclick=\" if (confirm ('".$GLOBALS['LANG']->sL('LLL:EXT:phptemplate/locallang.xml:plugins.adminPanel.exitConfirm')."')) { document.forms['phptemplate_plugin_adminPanel_printOutput_buttonLogout'].submit(); } \">
						<img src='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/adminPanel_Exit.png'>
						".$GLOBALS['LANG']->sL('LLL:EXT:phptemplate/locallang.xml:plugins.adminPanel.exit')."
					</a>
				</form>
				</tagAdminPanel_buttonContainer>
			";
			
				// Go to Backend
			$strAdminPanel .= "
				<tagAdminPanel_buttonContainer class='tagAdminPanel_buttonContainer' id='tagAdminPanel_buttonContainer_Backend'>
				<a href='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3/' target='_blank'>
					<img src='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/adminPanel_Backend.png'>
					Backend
				</a>
				</tagAdminPanel_buttonContainer>
			";
			
				// Hide panel
			$optionUcValue = $GLOBALS['BE_USER']->uc['phptemplate_showHiddenRecords'];
			if ($optionUcValue == 1) {
				$optionValue = -1;
				$optionValueBgColor = "background: #f3f3f3 !important;";
			} else {
				$optionValue = 1;
				$optionValueBgColor = "";
			}
			$strAdminPanel .= "
				<tagAdminPanel_buttonContainer class='tagAdminPanel_buttonContainer' id='tagAdminPanel_buttonContainer_Hide_adminPanel' style='".$optionValueBgColor."'>
				<form method=\"post\" id=\"phptemplate_plugin_adminPanel_showHiddenRecords\" style='padding: 0 !important; margin: 0 !important;'>
					<input type='hidden' name='phptemplate_showHiddenRecords' value='{$optionValue}'>
					<input type='hidden' name='phptemplate_request_url' value='".t3lib_div::getIndpEnv('TYPO3_REQUEST_URL')."'>
					<a onclick=\"document.forms['phptemplate_plugin_adminPanel_showHiddenRecords'].submit();\">
						<img src='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/adminPanel_Visibility-off.png'>
						".$optionUcValue."
					</a>
				</form>
				</tagAdminPanel_buttonContainer>
			";
			
				// Options
			$optionUcValue = $GLOBALS['BE_USER']->uc['phptemplate_checkOption'];
			if ($optionUcValue == 1) {
				$optionValue = -1;
				$optionValueBgColor = "background: #f3f3f3 !important;";
			} else {
				$optionValue = 1;
				$optionValueBgColor = "";
			}
			$strAdminPanel .= "
				<tagAdminPanel_buttonContainer class='tagAdminPanel_buttonContainer' id='tagAdminPanel_buttonContainer_Options' style='".$optionValueBgColor."'>
				<form method=\"post\" id=\"phptemplate_plugin_adminPanel_Options\" style='padding: 0 !important; margin: 0 !important;'>
					<input type='hidden' name='phptemplate_checkOption' value='{$optionValue}'>
					<input type='hidden' name='phptemplate_request_url' value='".t3lib_div::getIndpEnv('TYPO3_REQUEST_URL')."'>
					<a onclick=\"document.forms['phptemplate_plugin_adminPanel_Options'].submit();\">
						<img src='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/adminPanel_Options.png'>
					</a>
				</form>
				</tagAdminPanel_buttonContainer>
			";
			
				// Options
			$localizationUcValue = $GLOBALS['BE_USER']->uc['phptemplate_checkLocalization'];
			if ($localizationUcValue == 1) {
				$localizationValue = -1;
				$localizationValueBgColor = "background: #f3f3f3 !important;";
			} else {
				$localizationValue = 1;
				$localizationValueBgColor = "";
			}
			$strAdminPanel .= "
				<tagAdminPanel_buttonContainer class='tagAdminPanel_buttonContainer' id='tagAdminPanel_buttonContainer_Localization' style='".$localizationValueBgColor."'>
				<form method=\"post\" id=\"phptemplate_plugin_adminPanel_Localization\" style='padding: 0 !important; margin: 0 !important;'>
					<input type='hidden' name='phptemplate_checkLocalization' value='{$localizationValue}'>
					<input type='hidden' name='phptemplate_request_url' value='".t3lib_div::getIndpEnv('TYPO3_REQUEST_URL')."'>
					<a onclick=\"document.forms['phptemplate_plugin_adminPanel_Localization'].submit();\">
						<img src='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/adminPanel_Localization.png'>
					</a>
				</form>
				</tagAdminPanel_buttonContainer>
			";
			
				// Change color button
			$colorEditButton = $GLOBALS['BE_USER']->uc['phptemplate_editIcon_color'];
			if ($colorEditButton <= 1) {
				$colorValue = 1;
				$colorValueInput = 2;
			} else {
				$colorValue = 2;
				$colorValueInput = 1;
			}
			$strAdminPanel .= "
				<tagAdminPanel_buttonContainer class='tagAdminPanel_buttonContainer' id='tagAdminPanel_buttonContainer_changeColor'>
				<form method=\"post\" id=\"phptemplate_plugin_adminPanel_printOutput_changeColor\" style='padding: 0 !important; margin: 0 !important;'>
					<input type='hidden' name='phptemplate_editIcon_color' value='{$colorValueInput}'>
					<input type='hidden' name='phptemplate_request_url' value='".t3lib_div::getIndpEnv('TYPO3_REQUEST_URL')."'>
					<a onclick=\"document.forms['phptemplate_plugin_adminPanel_printOutput_changeColor'].submit();\">
						<img src='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/adminPanel_select_by_color_{$colorValue}.png'>
					</a>
				</form>
				</tagAdminPanel_buttonContainer>
			";
			
				// Mod editing
			$modEdit = $GLOBALS['BE_USER']->uc['phptemplate_mode_editing'];
			if ($modEdit <= 1) {
				$buttonOnColor = "#494949 url(".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/adminPanel_bg_buttonContainer.png)"; // black
				$buttonOffColor = "url(".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/Switch-2.png) !important";
			} else {
				$buttonOnColor = "url(".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/Switch-1.png) !important";
				$buttonOffColor = "#494949 url(".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/adminPanel_bg_buttonContainer.png)"; // black
			}
			$strAdminPanel .= "
				<tagAdminPanel_buttonContainer class='tagAdminPanel_buttonContainer' style='cursor: none !important; padding-right: 0; background: #494949 url(".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/adminPanel_bg_buttonContainerSwitchMode.png);'>
					<tagAdminPanel_buttonSwitchMode class='tagAdminPanel_buttonSwitchMode' style='background: {$buttonOnColor}; border-radius: 0 3px 3px 0; border-right: 0;'>
					<form method=\"post\" id=\"phptemplate_plugin_adminPanel_printOutput_ModEdit_2\" style='padding: 0 !important; margin: 0 !important;'>
						<input type='hidden' name='phptemplate_mode_editing' value='2'>
						<input type='hidden' name='phptemplate_request_url' value='".t3lib_div::getIndpEnv('TYPO3_REQUEST_URL')."'>
						<a onclick=\"document.forms['phptemplate_plugin_adminPanel_printOutput_ModEdit_2'].submit();\">
							".$GLOBALS['LANG']->sL('LLL:EXT:phptemplate/locallang.xml:plugins.adminPanel.modEditOn')."
						</a>
					</form>
					</tagAdminPanel_buttonSwitchMode>
					<tagAdminPanel_buttonSwitchMode class='tagAdminPanel_buttonSwitchMode' style='background: {$buttonOffColor}; border-right: 0; border-left: 0;'>
					<form method=\"post\" id=\"phptemplate_plugin_adminPanel_printOutput_ModEdit_1\" style='padding: 0 !important; margin: 0 !important;'>
						<input type='hidden' name='phptemplate_mode_editing' value='1'>
						<input type='hidden' name='phptemplate_request_url' value='".t3lib_div::getIndpEnv('TYPO3_REQUEST_URL')."'>
						<a onclick=\"document.forms['phptemplate_plugin_adminPanel_printOutput_ModEdit_1'].submit();\">
							".$GLOBALS['LANG']->sL('LLL:EXT:phptemplate/locallang.xml:plugins.adminPanel.modEditOff')."
						</a>
					</form>
					</tagAdminPanel_buttonSwitchMode>
					<tagAdminPanel_buttonSwitchModeIcon class='tagAdminPanel_buttonSwitchModeIcon'></tagAdminPanel_buttonSwitchModeIcon>
				</tagAdminPanel_buttonContainer>
				<tagAdminPanel_clear style='clear: both;' /></tagAdminPanel_clear><!-- Fix bug 16/06/2015 в РГБ в Internet Explorer -->
			";
			
				// Clear all cache
			$strAdminPanel .= "
				<tagAdminPanel_buttonContainer class='tagAdminPanel_buttonContainer' id='tagAdminPanel_buttonContainer_clearCache_all'>
				<form method=\"post\" id=\"phptemplate_plugin_adminPanel_clearCache_all\" style='padding: 0 !important; margin: 0 !important;'>
					<input type='hidden' name='phptemplate_clear_cache' value='all'>
					<input type='hidden' name='phptemplate_request_url' value='".t3lib_div::getIndpEnv('TYPO3_REQUEST_URL')."'>
					<a onclick=\" if (confirm ('".$GLOBALS['LANG']->sL('LLL:EXT:phptemplate/locallang.xml:plugins.adminPanel.clearCache_allConfirm')."')) { document.forms['phptemplate_plugin_adminPanel_clearCache_all'].submit(); } \">
						<img src='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/adminPanel_clearAllCache.png'>
					</a>
				</form>
				</tagAdminPanel_buttonContainer>
			";
			
				// Clear cache this page
			$strAdminPanel .= "
				<tagAdminPanel_buttonContainer_wrapClearCache class='tagAdminPanel_buttonContainer_wrapClearCache' id='tagAdminPanel_buttonContainer_ClearCache'>
				<tagAdminPanel_buttonContainer class='tagAdminPanel_buttonContainer' style='min-width: 180px; padding-left: 10px; padding-right: 10px; text-align: center;'>
				<form method=\"post\" id=\"phptemplate_plugin_adminPanel_clearCache_thisPage\" style='padding: 0 !important; margin: 0 !important;'>
					<input type='hidden' name='phptemplate_clear_cache' value='thisPage'>
					<input type='hidden' name='phptemplate_request_url' value='".t3lib_div::getIndpEnv('TYPO3_REQUEST_URL')."'>
					<a onclick=\"document.forms['phptemplate_plugin_adminPanel_clearCache_thisPage'].submit();\">
						".$GLOBALS['LANG']->sL('LLL:EXT:phptemplate/locallang.xml:plugins.adminPanel.resetThePageCache')."
					</a>
				</form>
				</tagAdminPanel_buttonContainer>
				<!--
				<tagAdminPanel_buttonContainer class='tagAdminPanel_buttonContainer' style='min-width: 180px; padding-left: 10px; padding-right: 10px; text-align: center; display: none;'>
				<form method=\"post\" id=\"phptemplate_plugin_adminPanel_clearCache_all\" style='padding: 0 !important; margin: 0 !important;'>
					<input type='hidden' name='phptemplate_clear_cache' value='all'>
					<input type='hidden' name='phptemplate_request_url' value='".t3lib_div::getIndpEnv('TYPO3_REQUEST_URL')."'>
					<a onclick=\"document.forms['phptemplate_plugin_adminPanel_clearCache_all'].submit();\">
						Сбросить все кэши
					</a>
				</form>
				</tagAdminPanel_buttonContainer>
				-->
				</tagAdminPanel_buttonContainer_wrapClearCache>
			";
			
				// Page info
			$pageInfo = phptemplate_plugin_adminPanel_printOutput_pageColorIformer();
			$strAdminPanel .= "
				<tagAdminPanel_buttonContainer class='tagAdminPanel_buttonContainer' id='tagAdminPanel_buttonContainer_pageInfo'>
				<a href='".$pageInfo['urlInfo']."' target='_blank' style='border-radius: 3px; ".$pageInfo['background']."' onclick=\"alert('Beta (постоянная ссылка на страницу для визуального редактора)!');\">
					<img src='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/adminPanel_pageInfo.png'>
					pageId: ".$GLOBALS['TSFE']->id."&nbsp;
				</a>
				</tagAdminPanel_buttonContainer>
			";
			
				// User avatar
			$strAdminPanel .= "
				<tagAdminPanel_buttonContainer class='tagAdminPanel_container' id='tagAdminPanel_buttonContainer_UserName'>
					<img src='http://www.gravatar.com/avatar/".md5($GLOBALS['BE_USER']->user['email'])."?s=23' class='tagAdminPanel_avatar'>
					<img src='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/adminPanel_BeUser_Admin.png' class='tagAdminPanel_iconBeUser'>
					<tagAdminPanel_wrapUserName class='tagAdminPanel_wrapUserName'>
						".(($GLOBALS['BE_USER']->user["realName"] != null)?$GLOBALS['BE_USER']->user["realName"]:$GLOBALS['BE_USER']->user["username"])."
					</tagAdminPanel_wrapUserName>
				</tagAdminPanel_buttonContainer>
			";

		$strAdminPanel .= "</tagAdminPanel_rightContainer>";

	$strAdminPanel .= "</tagAdminPanel>";
	$strAdminPanel .= "<tagAdminPanel_clear style='clear: both;' /></tagAdminPanel_clear>";
	$strAdminPanel .= "</tagAdminPanelWrap>";
	
		
		// Fixed page info
	// $strAdminPanel .= phptemplate_plugin_adminPanel_printOutput_pageColorIformer($addedToFooter);
	$strAdminPanel .= "<!--TYPO3_NOT_SEARCH_end-->";

	return $strAdminPanel;
}

function phptemplate_plugin_adminPanel_printOutput_pageColorIformer($addedToFooter = 0) {

		// Обычные // "1" Обчыная страница
	if (pageTypeColor() == 1) {
		//$fixedMessege = $GLOBALS['LANG']->sL('LLL:EXT:phptemplate/locallang.xml:plugins.adminPanel.pageColorType-1')." [Id=".$GLOBALS['TSFE']->id."]";
		$fixedMessege = "pageTypeColor == 1 (blue)";
		$bgFonImage = "pageType-1";
		$fileName = $GLOBALS['TSFE']->id . "-pageType-1";
		#$fontColor = "white";
		
		// useCashHash = 1 // "2" виртуальная страница 
	} elseif (pageTypeColor() == 2) {
		//$fixedMessege = $GLOBALS['LANG']->sL('LLL:EXT:phptemplate/locallang.xml:plugins.adminPanel.pageColorType-2')." [Id=".$GLOBALS['TSFE']->id."]";
		$fixedMessege = "pageTypeColor == 2 (red), with cHash";
		$bgFonImage = "pageType-2";
		$fileName = $GLOBALS['TSFE']->id . "-pageType-2";
		#$fontColor = "white";
		
		// Не для кэширования (кэшируется 1 раз) // "3" запрещенная к кэшированию - вывод любых страниц
	} elseif (pageTypeColor() == 3) {
			// Не для кэширования // "3" запрещенная к кэшированию - вывод любых страниц
		//$fixedMessege = $GLOBALS['LANG']->sL('LLL:EXT:phptemplate/locallang.xml:plugins.adminPanel.pageColorType-3')." [Id=".$GLOBALS['TSFE']->id."]";
		$fixedMessege = "pageTypeColor == 3 (white), without cHash";
		$bgFonImage = "pageType-3";
		$fileName = $GLOBALS['TSFE']->id . "-pageType-3";
		#$fontColor = "#F8F8F8";

	} else {
		// ...
	}


		// 
	$GET = t3lib_div::_GET();
	$GET = array_filter($GET, 'pageTypeColor_array_removeEmptyItemsFromArray'); // Здесь придется очищать пустые параметры!
	
		
		// 
	$handleConstant = fopen(PATH_site . 'typo3temp/temp/'.$fileName.'-'.md5(t3lib_div::getIndpEnv('TYPO3_REQUEST_URL')).'.txt', 'w+');
	fwrite($handleConstant, $fixedMessege ."\n". PRINT_R($GET,TRUE)); //Запись массива (в виде строки)
	fclose($handleConstant);
		
		// Возвращяем фон, путь к файлу
	return array(
		'urlInfo' => t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST').'/typo3temp/temp/'.$fileName.'-'.md5(t3lib_div::getIndpEnv('TYPO3_REQUEST_URL')).'.txt',
		'background' => "background: url(".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/".$bgFonImage.".png)"
	);
	
	/*
	return "
		<script type='text/javascript'>
			function tagAdminPanel_pageColorIformerDisplayPreTag() {
				alert('Beta (постоянная ссылка на страницу для визуального редактора)!');
				var preObject = document.getElementById('tagAdminPanel_pageColorIformerPre');
				if (preObject.style.display == 'none') {
					preObject.style.display = '';
				} else {
					preObject.style.display = 'none';
				}
			}
		</script>
		<nobr onclick='tagAdminPanel_pageColorIformerDisplayPreTag();' style='cursor: pointer;'>
		<tagAdminPanel_pageColorIformer  class='".(($addedToFooter == 1) ? 'tagAdminPanel_pageColorIformer_addedToFooter' : 'tagAdminPanel_pageColorIformer')."' style='background: url(".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/{$bgFonImage}.png);'>	
			<tagAdminPanel_pageColorIformer_label class='tagAdminPanel_pageColorIformer_label'>
				<img src='".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/info.png' style='vertical-align: middle; margin-top: -1px;'>
				" . $fixedMessege . "
			</tagAdminPanel_pageColorIformer_label>
			<pre id='tagAdminPanel_pageColorIformerPre' style='color: {$fontColor} !important; display: none;'>".((count($GET) > 0)?print_r($GET,true):'')."</pre>
		</tagAdminPanel_pageColorIformer>
		</nobr>
	";
	*/

}

function phptemplate_plugin_adminPanel_event() {

		// Если есть выход из системы
	if ($GLOBALS['_POST']['phptemplate_be_user_logout'] == 1){
		$GLOBALS['BE_USER']->logoff();
		header("Location: " . $GLOBALS['_POST']['phptemplate_request_url']);
		exit();
	}
		
		// Если это очистка кэша
	if (isset($GLOBALS['_POST']['phptemplate_clear_cache'])) {
		# $tcemain = t3lib_div::makeInstance('t3lib_TCEmain');
		# $tcemain->clear_cacheCmd('pages');
		# $GLOBALS['TSFE']->clearPageCacheContent() // this clears the whole cache
		# $GLOBALS['TSFE']->clearPageCacheContent_pidList($pidList) // this clears the cache for the given page uid's
		
			// Вариант - 1: сбросить все кэши
		if ($GLOBALS['_POST']['phptemplate_clear_cache'] == "all") {
			$GLOBALS['typo3CacheManager']->getCache('cache_pages')->flush();
		
			// Вариант - 2: сбросить кэш страницы/виртуальной страницы
		} elseif ($GLOBALS['_POST']['phptemplate_clear_cache'] == "thisPage") {

			$GET = t3lib_div::_GET();
			if (!empty($GET)) {
				$cacheHash = t3lib_div::makeInstance('t3lib_cacheHash');
				$cHash_array = $cacheHash->getRelevantParameters(t3lib_div::implodeArrayForUrl('', $GET));
				$cHash_calc = $cacheHash->calculateCacheHash($cHash_array);
			}	
				// useCashHash = 1 // "2" виртуальная страница 
			if (!empty($cHash_array)) {
				$cacheTag = md5(serialize($cHash_array));
				$GLOBALS['typo3CacheManager']->getCache('cache_pages')->flushByTag('cHash_' . $cacheTag);
				
				// Обычная страница
			} else {
				$pageId = $GLOBALS['TSFE']->id;
				$GLOBALS['typo3CacheManager']->getCache('cache_pages')->flushByTag('pageId_' . $pageId);
			}

		} else {
			//
		}

		header("Location: " . $GLOBALS['_POST']['phptemplate_request_url']);
		exit();
	}

		// Если это смена режима работы
	if (!empty($GLOBALS['_POST']['phptemplate_mode_editing'])) {
		$GLOBALS['BE_USER']->uc['phptemplate_mode_editing'] = $GLOBALS['_POST']['phptemplate_mode_editing'];
		$GLOBALS['BE_USER']->overrideUC(); 
		$GLOBALS['BE_USER']->writeUC();	
		header("Location: " . $GLOBALS['_POST']['phptemplate_request_url']);
		exit();
	}
			
		// Если это смена цвета-кнопок редактирования
	if (!empty($GLOBALS['_POST']['phptemplate_editIcon_color'])) {
		$GLOBALS['BE_USER']->uc['phptemplate_editIcon_color'] = $GLOBALS['_POST']['phptemplate_editIcon_color'];
		$GLOBALS['BE_USER']->overrideUC(); 
		$GLOBALS['BE_USER']->writeUC();		
		header("Location: " . $GLOBALS['_POST']['phptemplate_request_url']);
		exit();
	} 
	
		// Если это включение опций
	if (!empty($GLOBALS['_POST']['phptemplate_checkOption'])) {
		$GLOBALS['BE_USER']->uc['phptemplate_checkOption'] = $GLOBALS['_POST']['phptemplate_checkOption'];
		$GLOBALS['BE_USER']->overrideUC(); 
		$GLOBALS['BE_USER']->writeUC();		
		header("Location: " . $GLOBALS['_POST']['phptemplate_request_url']);
		exit();
	}
	
		// Если это включить показ маркеров - переводов
	if (!empty($GLOBALS['_POST']['phptemplate_checkLocalization'])) {
		$GLOBALS['BE_USER']->uc['phptemplate_checkLocalization'] = $GLOBALS['_POST']['phptemplate_checkLocalization'];
		$GLOBALS['BE_USER']->overrideUC(); 
		$GLOBALS['BE_USER']->writeUC();		
		header("Location: " . $GLOBALS['_POST']['phptemplate_request_url']);
		exit();
	}
	
		// Если это включение режима "показать скрытые записи"
	if (!empty($GLOBALS['_POST']['phptemplate_showHiddenRecords'])) {
		/*
			http://t3club.com/index.php?TSFE_ADMIN_PANEL[DUMMY]=&id=1&TSFE_ADMIN_PANEL[display_top]=1&TSFE_ADMIN_PANEL[display_preview]=1
			&TSFE_ADMIN_PANEL[preview_showHiddenPages]=1
			&TSFE_ADMIN_PANEL[preview_showHiddenRecords]=0
			<input type="hidden" name="TSFE_ADMIN_PANEL[preview_showHiddenPages]" value="0" />
			<input type="hidden" name="TSFE_ADMIN_PANEL[preview_showHiddenRecords]" value="0" />
		*/
		if($GLOBALS['_POST']['phptemplate_showHiddenRecords'] == 1) {
			$GLOBALS['BE_USER']->uc['phptemplate_showHiddenRecords'] = 1;
			$GLOBALS['BE_USER']->uc['TSFE_adminConfig']['preview_showHiddenPages'] = 1;
			$GLOBALS['BE_USER']->uc['TSFE_adminConfig']['preview_showHiddenRecords'] = 1;
		} else {
			$GLOBALS['BE_USER']->uc['phptemplate_showHiddenRecords'] = 0;
			$GLOBALS['BE_USER']->uc['TSFE_adminConfig']['preview_showHiddenPages'] = 0;
			$GLOBALS['BE_USER']->uc['TSFE_adminConfig']['preview_showHiddenRecords'] = 0;
		}
		$GLOBALS['BE_USER']->overrideUC(); 
		$GLOBALS['BE_USER']->writeUC();		
		header("Location: " . $GLOBALS['_POST']['phptemplate_request_url']);
		exit();
	}
	
}

?>