<?php
/*
	Отправка почты на основе шаблона (EXT: xDbMySQL)
	В поддержке нет необходимости... Все решается через xDbMySQL
	
			$Markers = array('marker-1' => 123, 'marker-2' => 456);
			$Attachments = array();
			$Attachments[] = PATH_site . "typo3conf/ext/phptemplate/plugins/res/testEmailAttach-a.txt";
			$Attachments[] = PATH_site . "typo3conf/ext/phptemplate/plugins/res/testEmailAttach-b.txt";
			$isSend = $this->sendMail('S1_TEST', 'i-litovan@yandex.ru', $Markers, $Attachments);
	
	sendMail
	@templateId
	@setTo
	@Markers (array)
	@Attachments (array)
*/
function phptemplate_plugin_sendMail($self, $templateId, $setTo, $Markers, $Attachments) {
	$rowMailTemplate = DB::run()->table("tx_web_mail_template")->where("mail_code", "=", trim($templateId))->limit(1)->exec();
	
	#if (count($rowMailTemplate[0]) == 0) {
	#	return tx_phptemplate_error_wrap("Mail template (".$templateId.") not found for plugin sendMail()!");
	#}
	
	if (count($rowMailTemplate[0]) > 0) {
		$rowMailTemplate = $rowMailTemplate[0];

		// $mail = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance('TYPO3\\CMS\\Core\\Mail\\MailMessage');
		$mail = t3lib_div::makeInstance("t3lib_mail_Message");
		$mail->setFrom( array ( $rowMailTemplate['mail_from'] => $rowMailTemplate['mail_from_name'] ) );
		$mail->setTo( $setTo ); // "i-litovan@yandex.ru" - example
		$mail->setSubject($rowMailTemplate['mail_subject']);
		
					// Заменяем маркеры в шаблона письма
				$bodyMessege = $rowMailTemplate['mail_bodymessege'];
				foreach ($Markers as $key => $value){
							
						// Если пустое значение
					if (trim($value) == null)
					$value = "-";
						
					$bodyMessege = str_replace(
						"[" . $key . "]", 
						$value, 
						$bodyMessege
					);
				}

		if( count($Attachments) > 0 ) {
			foreach ($Attachments as $k => $filename) {
				if (file_get_contents($filename)) {
					$mail->attach( Swift_Attachment::fromPath( $filename ) );
			   }
			}
		}
				
		$mail->setBody($bodyMessege, "text/plain");
		$mail->send();

		if ($mail->isSent()){
			return 1;
		} else {
			return 0;
		}
	} else {
		return 0;
	}
	
	return 1;
}
?>