<?php
/*
	str
	@string
	@funcName
	@arg1
	@arg2
*/
function phptemplate_plugin_str($self, $string, $funcName = "", $arg1 = null, $arg2 = null) {
	
	switch($funcName) {
		case 'generate_password':
				$number = $string; // это кол-во символов
				$arr = array('a','b','c','d','e','f',  
					 'g','h','i','j','k','l',  
					 'm','n','o','p','r','s',  
					 't','u','v','x','y','z',  
					 'A','B','C','D','E','F',  
					 'G','H','I','J','K','L',  
					 'M','N','O','P','R','S',  
					 'T','U','V','X','Y','Z',  
					 '1','2','3','4','5','6',  
					 '7','8','9','0', // '.',',',  
					 //'(',')','[',']','!','?',  
					 //'&','^','%','@','*','$',  
					 //'<','>','/','|','+','-',  
					 //'{','}','`','~'
					);  
				$pass = "";
				for($i = 0; $i < $number; $i++){  
					$index = rand(0, count($arr) - 1);  
					$pass .= $arr[$index];  
				}
				return $pass;  
			break;
		case 'filesize': 
				$size = max(0, (int)$string);
				$units = array( 'b', 'Kb', 'Mb', 'Gb', 'Tb', 'Pb', 'Eb', 'Zb', 'Yb');
				$power = $size > 0 ? floor(log($size, 1024)) : 0;
				return number_format($size / pow(1024, $power), 2, '.', ',') . ' ' . $units[$power];
			break;
		case 'dateformat': 
				if($string == 0) {
					return 0;
				} else {
					return date("d.m.Y H:i:s", $string);	
				}
			break;
		case 'dateformat-2': 
				if($string == 0) {
					return 0;
				} else {
					return date("d.m.Y", $string);	
				}
			break;
		case 'truncate':
				if (mb_strlen($string, 'UTF-8') > $arg1) {
					return trim(mb_substr($string, 0, $arg1, 'UTF-8')) . '...';
				} else {
					return $string;
				}
			break;
	}
	
}
?>