<?php
/*
	Определяет цвет страницы (возвращяет цифру)
	Версия файла 1.0.0
*/
if (!function_exists('pageTypeColor')) {
	function pageTypeColor() {
		$GET = t3lib_div::_GET();
		$GET = array_filter($GET, 'pageTypeColor_array_removeEmptyItemsFromArray'); // Здесь придется очищать пустые параметры!
		
		if (!empty($GET)) {
			$cacheHash = t3lib_div::makeInstance('t3lib_cacheHash');
			$cHash_array = $cacheHash->getRelevantParameters(substr(t3lib_div::implodeArrayForUrl('', $GET), 1));
			$cHash_calc = $cacheHash->calculateCacheHash($cHash_array);
		}

			// Обычные // "1" Обчыная страница
		if ($GLOBALS['TSFE']->cHash == NULL && $cHash_calc == NULL) {
			return 1;
			#$fixedMessege = " [Id=".$GLOBALS['TSFE']->id."]";
			#$bgFonImage = "pageType-1";
			#$fontColor = "white";

			// useCashHash = 1 // "2" виртуальная страница 
		} elseif ($GLOBALS['TSFE']->cHash == $cHash_calc) {
			return 2;
			#$fixedMessege = " [Id=".$GLOBALS['TSFE']->id."]";
			#$bgFonImage = "pageType-2";
			#$fontColor = "white";
			
			// Не для кэширования (кэшируется 1 раз) // "3" запрещенная к кэшированию - вывод любых страниц
		} else {
			return 3;
			#$fixedMessege = " [Id=".$GLOBALS['TSFE']->id."]";
			#$bgFonImage = "pageType-3";
			#$fontColor = "#F8F8F8";

		}
	}
		//Вспомогательная функция по очистке массива от пустых значений
	function pageTypeColor_array_removeEmptyItemsFromArray($item){
		if (is_array($item)) {
			return array_filter($item, 'pageTypeColor_array_removeEmptyItemsFromArray');
		}
		if (!empty($item)) {
			return true;    
		}
	}
		/*
		function array_remove_empty($arr){
			$narr = array();
			while(list($key, $val) = each($arr)){
				if (is_array($val)){
					$val = array_remove_empty($val);
					// does the result array contain anything?
					if (count($val)!=0){
						// yes :-)
						$narr[$key] = $val;
					}
				}
				else {
					if (trim($val) != ""){
						$narr[$key] = $val;
					}
				}
			}
			unset($arr);
			return $narr;
		}
		*/
}

?>