<?php
/*
	@ fileImage (path)
	@ width
	@ height
	@ options
*/
function phptemplate_plugin_imgRes($self, $file = "", $width = null, $height = null, $options = array()) {
	if (!is_file(PATH_site . $file) OR trim($file) == NULL) {
		$file = t3lib_extMgm::extRelPath('phptemplate') . "plugins/res/imgRes_noImage.png"; // not image
		$file = str_replace("../", "", $file);
	}

		/*
			В TYPO3 6+ из если есть два одинаковых названия Screen1.png и screen1.png
			то система их расценивает как один файл (в Linux)...
			По этой причине решено сделать сборку картинки в ручную без IMG_RESOURCE.
		*/	
		if (function_exists('exec') && extension_loaded('imagick')) { // imagick installed // && exec('echo EXEC') == 'EXEC'
			$fileArray['width'] =  $width;
			$fileArray['height'] =  $height;
			$temp_ext = "png";
			
			$options_result = array();
			if (isset($options['maxW'])) {
				$options_result['maxW'] = $options['maxW'];
			}
			if (isset($options['maxH'])) {
				$options_result['maxH'] = $options['maxH'];
			}
			if (isset($options['minW'])) {
				$options_result['minW'] = $options['minW'];
			}
			if (isset($options['minH'])) {
				$options_result['minH'] = $options['minH'];
			}
			
			// / typo3 / sysext / core / Classes / Resource / Service / ImageProcessingService.php
			$gifCreator = t3lib_div::makeInstance('tslib_gifbuilder');
			$gifCreator->init();
			
			// $imageResource = $gifCreator->imageMagickConvert($theImage, $fileConfiguration['ext'], $fileConfiguration['width'], $fileConfiguration['height'], $fileConfiguration['params'], $fileConfiguration['frame'], $options);
			$imageResource = $gifCreator->imageMagickConvert($file, $temp_ext, $fileArray['width'], $fileArray['height'], null, null, $options_result);
			
			return $imageResource[3];

		} else {
			/*
				Здесь если imagemagick все же не загружен и выключена поддеркжа exec() функции
				на хостинге, то скорее всего будет использоваться расширение "jb_gd_resize"
				и в любом случае приходится переходить на API IMG_RESOURCE TYPO3
			*/	
			$fileConf = array();
			$fileConf['width'] = $params['width'];
			$fileConf['height'] = $params['height'];
			// $fileConf['format'] = 'png';
			
			if (isset($options['maxW'])) {
				$fileConf['maxW'] = $options['maxW'];
			}
			if (isset($options['maxH'])) {
				$fileConf['maxH'] = $options['maxH'];
			}
			if (isset($options['minW'])) {
				$fileConf['minW'] = $options['minW'];
			}
			if (isset($options['minH'])) {
				$fileConf['minH'] = $options['minH'];
			}
			
			$tsConf = array(
				'file' => $file, // 'uploads/pics/1_02.jpg',
				'file.' => $fileConf
			);
			return $self->cObj->IMG_RESOURCE($tsConf);
		}

}
?>