<?php
/*
	pageContent
	@ pid
	@ colPos
	@ dir_path_with_php_content_files (fileadmin/template/pageContent/)
*/
require_once ( t3lib_extMgm::extPath('phptemplate') . "plugins/function.editIcon.php" );
function phptemplate_plugin_pageContent($self, $pid = "_self", $colPos = 0, $dir_path_with_php_content_files = "") {

	// **** Вариант - 1 (получение контента php-файла из папки с шаблонами по id-страницы)
	// fileadmin/template/pageContent/233/template.php
	// fileadmin/template/pageContent/233/controller.php
	$fileWithPageContentPath = $dir_path_with_php_content_files.$GLOBALS['TSFE']->id."/template.php";
	$fileWithPageControllerPath = $dir_path_with_php_content_files.$GLOBALS['TSFE']->id."/controller.php";
	$controllerClassName = $GLOBALS['TSFE']->id;
if ($dir_path_with_php_content_files != NULL && file_exists(PATH_site.$fileWithPageContentPath)) {
	
		// Пишем справочный файл в папку, где какая страница по ID (что бы проще было искать)
	if (isset($GLOBALS['BE_USER'])) {
		$rows = DB::run()->table('pages')->select('uid,title')->where('doktype', '!=', 254)->order('uid')->exec();
		foreach ($rows as $k => $v) {
			$temp[] = "[".$v['uid'] . "]\t\t" . $v['title'];
		}
		$handleConstant = fopen(PATH_site.$dir_path_with_php_content_files."help-dir-name.txt", 'w+');
		fwrite($handleConstant, implode("\n", $temp)); //Запись массива (в виде строки)
		fclose($handleConstant);
	}
	
	$pathIntTxtFile = PATH_site.$dir_path_with_php_content_files.$GLOBALS['TSFE']->id."/";
	if(file_exists($pathIntTxtFile."INT.txt")) {
		$label = 'Подключен PHP-файл [INT]: ' . $fileWithPageContentPath;
		$obj = "PHPTEMPLATE_INT";
	}else{
		$label = 'Подключен PHP-файл: ' . $fileWithPageContentPath;
		$obj = "PHPTEMPLATE";
	}
		
	if(file_exists(PATH_site.$fileWithPageContentPath)) {
		# return require_once($fileWithPageContentPath);
		//$otherArg['isPhpFilePath'] = 1;
		//$strEditIcon = phptemplate_plugin_editIcon_marker($phpFilePath, 0, 'Подключен PHP-файл: ' . $fileWithPageContentPath, $otherArg);
		$strEditContentInfo = phptemplate_plugin_pageContent_editContentInfo($label, "isPhpFilePathIcon.png");
		return 
			tx_phptemplate_info_wrap(
				$strEditContentInfo .
				$self->cObj->cObjGetSingle(
				$obj,
				array(
					//'controller_file' => 'fileadmin/template/pageContent/4/controller.php&4',
					'controller_file' => file_exists(PATH_site.$fileWithPageControllerPath) ? $fileWithPageControllerPath.'&'.$controllerClassName : NULL,
					'template_file' => $fileWithPageContentPath
				)
			)
		);
	}else{
		return tx_phptemplate_error_wrap("Not found file \"template.php\" in \"".($dir_path_with_php_content_files.$GLOBALS['TSFE']->id)." directory\" !");
	}
}

	// **** Вариант - 2 (получение контента php-файла из папки с шаблонами по alias-страницы)
	// fileadmin/template/pageContent/alias/template.php
	// fileadmin/template/pageContent/alias/controller.php
	$fileWithPageContentPath = $dir_path_with_php_content_files.$GLOBALS['TSFE']->page['alias']."/template.php";
	$fileWithPageControllerPath = $dir_path_with_php_content_files.$GLOBALS['TSFE']->page['alias']."/controller.php";
	$controllerClassName = str_replace("-", "_", $GLOBALS['TSFE']->page['alias']);
if ($dir_path_with_php_content_files != NULL && file_exists(PATH_site.$fileWithPageContentPath)) {
	
		// Пишем справочный файл в папку, где какая страница по ID (что бы проще было искать)
	if (isset($GLOBALS['BE_USER'])) {
		$rows = DB::run()->table('pages')->select('uid,title')->where('doktype', '!=', 254)->order('uid')->exec();
		foreach ($rows as $k => $v) {
			$temp[] = "[".$v['uid'] . "]\t\t" . $v['title'];
		}
		$handleConstant = fopen(PATH_site.$dir_path_with_php_content_files."help-dir-name.txt", 'w+');
		fwrite($handleConstant, implode("\n", $temp)); //Запись массива (в виде строки)
		fclose($handleConstant);
	}
	
	$pathIntTxtFile = PATH_site.$dir_path_with_php_content_files.$GLOBALS['TSFE']->page['alias']."/";
	if(file_exists($pathIntTxtFile."INT.txt")) {
		$label = 'Подключен PHP-файл [INT]: ' . $fileWithPageContentPath;
		$obj = "PHPTEMPLATE_INT";
	}else{
		$label = 'Подключен PHP-файл: ' . $fileWithPageContentPath;
		$obj = "PHPTEMPLATE";
	}
		
	if(file_exists(PATH_site.$fileWithPageContentPath)) {
		# return require_once($fileWithPageContentPath);
		//$otherArg['isPhpFilePath'] = 1;
		//$strEditIcon = phptemplate_plugin_editIcon_marker($phpFilePath, 0, 'Подключен PHP-файл: ' . $fileWithPageContentPath, $otherArg);
		$strEditContentInfo = phptemplate_plugin_pageContent_editContentInfo($label, "isPhpFilePathIcon.png");
		return 
			tx_phptemplate_info_wrap(
				$strEditContentInfo .
				$self->cObj->cObjGetSingle(
				$obj,
				array(
					//'controller_file' => 'fileadmin/template/pageContent/4/controller.php&4',
					'controller_file' => file_exists(PATH_site.$fileWithPageControllerPath) ? $fileWithPageControllerPath.'&'.$controllerClassName : NULL,
					'template_file' => $fileWithPageContentPath
				)
			)
		);
	}else{
		return tx_phptemplate_error_wrap("Not found file \"template.php\" in \"".($dir_path_with_php_content_files.$GLOBALS['TSFE']->page['alias'])." directory\" !");
	}
}

	// **** Вариант - 4 (получение контента шаблона по умолчанию)
	// fileadmin/template/pageContent/_default_/template.php
	// fileadmin/template/pageContent/_default_/controller.php
	$fileWithPageContentPath = $dir_path_with_php_content_files."_default_/template.php";
	$fileWithPageControllerPath = $dir_path_with_php_content_files."_default_/controller.php";
	$controllerClassName = 'default';
if ($dir_path_with_php_content_files != NULL && file_exists(PATH_site.$fileWithPageContentPath)) {
	
		// Пишем справочный файл в папку, где какая страница по ID (что бы проще было искать)
	if (isset($GLOBALS['BE_USER'])) {
		$rows = DB::run()->table('pages')->select('uid,title')->where('doktype', '!=', 254)->order('uid')->exec();
		foreach ($rows as $k => $v) {
			$temp[] = "[".$v['uid'] . "]\t\t" . $v['title'];
		}
		$handleConstant = fopen(PATH_site.$dir_path_with_php_content_files."help-dir-name.txt", 'w+');
		fwrite($handleConstant, implode("\n", $temp)); //Запись массива (в виде строки)
		fclose($handleConstant);
	}
	
	$pathIntTxtFile = PATH_site.$dir_path_with_php_content_files."_default_/";
	if(file_exists($pathIntTxtFile."INT.txt")) {
		$label = 'Подключен PHP-файл [INT]: ' . $fileWithPageContentPath;
		$obj = "PHPTEMPLATE_INT";
	}else{
		$label = 'Подключен PHP-файл: ' . $fileWithPageContentPath;
		$obj = "PHPTEMPLATE";
	}
		
	if(file_exists(PATH_site.$fileWithPageContentPath)) {
		# return require_once($fileWithPageContentPath);
		//$otherArg['isPhpFilePath'] = 1;
		//$strEditIcon = phptemplate_plugin_editIcon_marker($phpFilePath, 0, 'Подключен PHP-файл: ' . $fileWithPageContentPath, $otherArg);
		$strEditContentInfo = phptemplate_plugin_pageContent_editContentInfo($label, "isPhpFilePathIcon.png");
		return 
			tx_phptemplate_info_wrap(
				$strEditContentInfo .
				$self->cObj->cObjGetSingle(
				$obj,
				array(
					//'controller_file' => 'fileadmin/template/pageContent/4/controller.php&4',
					'controller_file' => file_exists(PATH_site.$fileWithPageControllerPath) ? $fileWithPageControllerPath.'&'.$controllerClassName : NULL,
					'template_file' => $fileWithPageContentPath
				)
			)
		);
	}else{
		return tx_phptemplate_error_wrap("Not found file \"template.php\" in \"".($dir_path_with_php_content_files.'_default_')." directory\" !");
	}
}

/*
38: # Clear out any constants in this reserved room!
39: styles.content >
40: 
41: # get content
42: styles.content.get = CONTENT
43: styles.content.get {
44: 	table = tt_content
45: 	select.orderBy = sorting
46: 	select.where = colPos=0
47: 	select.languageField = sys_language_uid
48: }
49: 
50: # get content, left
51: styles.content.getLeft < styles.content.get
52: styles.content.getLeft.select.where = colPos=1
53: 
54: # get content, right
55: styles.content.getRight < styles.content.get
56: styles.content.getRight.select.where = colPos=2
57: 
58: # get content, margin
59: styles.content.getBorder < styles.content.get
60: styles.content.getBorder.select.where = colPos=3
61: 
62: # get news
63: styles.content.getNews < styles.content.get
64: styles.content.getNews.select.pidInList = {$styles.content.getNews.newsPid}
65: 
66: # Edit page object:
67: styles.content.editPanelPage = COA
68: styles.content.editPanelPage {
69: 	10 = EDITPANEL
70: 	10 {
71: 		allow = toolbar,move,hide
72: 		label.data = LLL:EXT:css_styled_content/pi1/locallang.xml:eIcon.page
73: 		label.wrap = |&nbsp;<b>%s</b>
74: 	}
75: }
76: 
77: 
78: 
*/

		// select.where
	$selectWhere = null;
	
		// colPos
	if (!empty($colPos)) {
		$selectWhere[] = " colPos=" . intval($colPos) . " ";
	} else {
		$selectWhere[] = " colPos=0 ";
	}

	$tsConf = array(
		'table' => 'tt_content',
		'select.' => array(
			'pidInList' => ( $pid == "_self" ) ? $GLOBALS['TSFE']->id : intval($pid),
			'orderBy' => 'sorting',
			'where' => implode(" ", $selectWhere),
			'languageField' => 'sys_language_uid',
		),
		/*
			lib.content.stdWrap.ifEmpty.cObject = TEXT
			lib.content.stdWrap.ifEmpty.cObject.data = DB:tx_web_settings:1:text_for_under_construction
		*/
		'stdWrap.' => array (
			'ifEmpty.' => array ( 
				'cObject' => 'TEXT',
				'cObject.' => array (
					'value' => '
						<img src="'.t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST').'/typo3conf/ext/phptemplate/plugins/res/pageUnderConstructionIfEmptyContent.png" width="50%" style="max-width: 300%;" align="center">
						<br /><!--Содержимое в процессе наполнения!-->
						'.$GLOBALS['TSFE']->sL('LLL:EXT:phptemplate/locallang.xlf:plugins.contentInTheProcessOfFilling').'
					'
				)
			)
		)
	);
	
		// При условии, что это режим редактирования
	if ($GLOBALS['BE_USER']->uc['phptemplate_mode_editing'] == 2) {
		$editIconCreateNewRecord = phptemplate_plugin_editIcon_marker (
			'tt_content', 
			0, 
			$GLOBALS['LANG']->sL('LLL:EXT:phptemplate/locallang.xlf:plugins.pageContent.addTheContentsOfTheTop'), // Добавить содержимое сверху
			array (
				'isNewRecord_tt_content' => 1, 
				"isNewRecord_tt_content_arValue" => array(
					"pid" => ( $pid == "_self" ) ? $GLOBALS['TSFE']->id : intval($pid),
					"colPos" => intval($colPos)
				)
			) 
		);
	}
	
	$p = ( $pid == "_self" ) ? $GLOBALS['TSFE']->id : intval($pid);
	$c = intval($colPos);
	$strEditContentInfo = phptemplate_plugin_pageContent_editContentInfo('Контент: pid='.$p.', colPos='.$c, "isPageContentIcon.png");
	return 
		tx_phptemplate_info_wrap(
			$strEditContentInfo .
			$editIconCreateNewRecord .
			$self->cObj->cObjGetSingle(
				"CONTENT",
				$tsConf
			)
		);
}

function phptemplate_plugin_pageContent_editContentInfo($title, $img){

			// При условии, что включена шестеренка (настройки)
		if ($GLOBALS['BE_USER']->uc['phptemplate_checkOption'] == 1) {
			if (!$GLOBALS['TSFE']->config['config']['disableAllEditIcons']) {
				$arParams['title']	= $title;
				$arParams['title'] 	= explode(":", $arParams['title']); // Разрезаем надпись
				$colorBorder 		= "080808"; // black
				$cssClassWrap 		= "phptemplate_tagEditIcon_wrap_absolute"; // "phptemplate_tagEditIcon_wrap_block_float";
				$strEditIcon 		= "";
				
				$strEditIcon .= "<!--TYPO3_NOT_SEARCH_begin-->";
				$strEditIcon .= "<tagEditIcon_wrap class='".$cssClassWrap."'>";
				$strEditIcon .= "<tagEditIcon class='phptemplate_tagEditIcon' style='border: #".$colorBorder." 2px solid;'>";
				$strEditIcon .= "<nobr>";
				
						// isPhpFilePathIcon Icon
					$strEditIcon .= "<a>";
					$strEditIcon .= "<tagEditIconImg class='tagEditIconImg' style='background-image: url(".t3lib_div::getIndpEnv('TYPO3_REQUEST_HOST')."/typo3conf/ext/phptemplate/plugins/res/".$img.");'></tagEditIconImg class='tagEditIconImg'>";
					$strEditIcon .= ((trim($arParams['title'][0]) != null) ? "&nbsp; " . $arParams['title'][0] : "");
					$strEditIcon .= "</a>";
					
						// Hover wrap 
					$strEditIcon .= "<tagEditIconSpan class='phptemplate_tagEditIconSpan'>";
					$strEditIcon .= $arParams['title'][1];
					$strEditIcon .= "</tagEditIconSpan>";
				
				$strEditIcon .= "</nobr>";
				$strEditIcon .= "</tagEditIcon>";
				$strEditIcon .= "</tagEditIcon_wrap>";
				$strEditIcon .= "<tagEditIcon_br style='clear: left;'></tagEditIcon_br>";
				$strEditIcon .= "<!--TYPO3_NOT_SEARCH_end-->";
				
				return $strEditIcon;
			} else {
				return NULL;
			}
		} else {
				return NULL;
		}
}
?>