<?php
/*
	print_r (debug)
	@array_debug
	@clear_bufer
	@exit
*/
function phptemplate_plugin_print_r($self, $array_debug = array(), $clear_bufer = TRUE, $exit = TRUE) {
	# $str = "";
	# $str .= "<h1>Debug array:</h1>";
	# $str .= "<span style='color: gray;'>" . __FILE__ . "</span>";
	# $str .= "<pre>";
	# $str .= print_r($array_debug, true);
	# $str .= "</pre>";

	if ($clear_bufer != FALSE) {
		//-- Clear bufer -- //
		while (ob_get_level()>0) {
			@ob_end_clean();
		}
	}

	if ($exit == TRUE) {
			// Set the XML prologue
		$xmlPrologue = '<?xml version="1.0" encoding="utf-8"?>';

			// Set the doctype declaration
		$docType = '<!DOCTYPE html
     PUBLIC "-//W3C//DTD XHTML 1.1//EN"
     "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">';

			// Get the browser info
		$browserInfo = t3lib_utility_Client::getBrowserInfo(t3lib_div::getIndpEnv('HTTP_USER_AGENT'));

			// Put the XML prologue before or after the doctype declaration according to browser
		if ($browserInfo['browser'] === 'msie' && $browserInfo['version'] < 7) {
			$headerStart = $docType . LF . $xmlPrologue;
		} else {
			$headerStart = $xmlPrologue . LF . $docType;
		}

		echo $headerStart . '
			<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
				<head>
					<title>TYPO3 Exception</title>
					<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
					<style type="text/css">
						.ExceptionProperty {
							color: #101010;
						}
						pre {
							margin: 0;
							font-size: 11px;
							color: #515151;
							background-color: #D0D0D0;
							padding-left: 30px;
						}
					</style>
				</head>
				<body>
					<div style="
							position: absolute;
							left: 10px;
							background-color: #B9B9B9;
							outline: 1px solid #515151;
							color: #515151;
							font-family: Arial, Helvetica, sans-serif;
							font-size: 12px;
							margin: 10px;
							padding: 0;
						">
						<div style="width: 100%; background-color: #515151; color: white; padding: 2px; margin: 0 0 6px 0;">Debug array:</div>
						<div style="width: 100%; padding: 2px; margin: 0 0 6px 0;">
							<pre style="color: #BE0027;">'.print_r($array_debug, true).'</pre>
						</div>
					</div>
				</body>
			</html>
		';
		exit();
	} else {
		return "<pre>" . print_r($array_debug, true) . "</pre>";
	}
}
?>