<?php
/*
	tpl_render_Meta
*/
function phptemplate_plugin_tpl_render_Meta($self) {
	$endingSlash = $GLOBALS['TSFE']->xhtmlVersion ? ' /' : '';
	$theCharset = $GLOBALS['TSFE']->metaCharset;
	
	$metaTags = array();
	if(!empty($theCharset)){
		$metaTags[]=LF.TAB.'<meta http-equiv="Content-Type" content="text/html; charset='.htmlspecialchars($theCharset).'" />';
	}
	$metaTags[]=LF.TAB.'<meta name="generator" content="TYPO3 ' . TYPO3_branch . ' CMS"' . $endingSlash . '>';
	
	$conf = $GLOBALS['TSFE']->pSetup['meta.'];
	if (is_array($conf)) {
		foreach ($conf as $theKey => $theValue) {
			if (! strstr($theKey, '.') || ! isset($conf[substr($theKey, 0, - 1)])) { // Only if 1) the property is set but not the value itself, 2) the value and/or any property
				if (strstr($theKey, '.')) {
					$theKey = substr($theKey, 0, - 1);
				}
				$val = $GLOBALS['TSFE']->cObj->stdWrap($conf[$theKey], $conf[$theKey . '.']);
				$key = $theKey;
				if (trim($val)) {
					$a = 'name';
					if (strtolower($key) === 'refresh' || !empty($conf[$theKey . '.']['httpEquivalent'])) {
						$a = 'http-equiv';
					}
					$metaTags[]=LF.TAB.'<meta ' . $a . '="' . $key . '" content="' . htmlspecialchars(trim($val)) . '"' . $endingSlash . '>';
				}
			}
		}
	}

	$metaTags = LF.TAB."<!--Meta (section for head 2)-->".implode('', $metaTags).LF;
	return $metaTags;
}